Favicon

You are here: Home > API Reference > Apple > Apple Devices Users > Get admDeviceUser applications by Id

Get admDeviceUser applications by Id

Required Permission: mdm.apple.deviceUser.get

Get admDeviceUser applications by Id

GET
/v1/organizations/:organizationId/mdm/apple/enterprise/devices/:admDeviceId/users/:admDeviceUserId/applications
Copy to clipboard

Get admDeviceUser applications by Id

Required Permission: mdm.apple.deviceUser.get

Get admDeviceUser applications by Id

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admDeviceId string
required
Match pattern: ^(([a-fA-F0-9]{24})|(\w{1,}))$
admDeviceUserId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data array [object] optional
AdHocCodeSigned boolean optional
AppStoreVendable boolean optional
BetaApp boolean optional
BundleSize integer optional
≥ 0
DeviceBasedVPP boolean optional
DynamicSize integer optional
≥ 0
ExternalVersionIdentifier integer optional
≥ 0
HasUpdateAvailable boolean optional
Identifier string optional
≤ 256 characters
Installing boolean optional
IsValidated boolean optional
Name string optional
≤ 256 characters
ShortVersion string optional
≤ 256 characters
Version string optional
≤ 256 characters
{
    "status": true,
    "data": [
        {
            "AdHocCodeSigned": true,
            "AppStoreVendable": true,
            "BetaApp": true,
            "BundleSize": 0,
            "DeviceBasedVPP": true,
            "DynamicSize": 0,
            "ExternalVersionIdentifier": 0,
            "HasUpdateAvailable": true,
            "Identifier": "string",
            "Installing": true,
            "IsValidated": true,
            "Name": "string",
            "ShortVersion": "string",
            "Version": "string"
        }
    ]
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}